﻿using System;
using System.IO;
using Hardcodet.TempStorage;

namespace ConsoleApplication1
{
  class Program
  {
    static void Main(string[] args)
    {
      //create a root folder
      string rootFolder = Path.Combine(Path.GetTempPath(), "_TempStorageSample");
      ITempStreamFactory factory = new TempFileStreamFactory(rootFolder);

      //get a temporary file
      using(var tempStream = factory.CreateTempStream())
      {
        Console.Out.WriteLine("We got hold of a temporary stream.");
        Console.Out.WriteLine("As soon as we start writing, a temporary file will be created in this folder:");
        Console.Out.WriteLine(rootFolder);

        Console.Out.WriteLine("Press enter to write some data...");
        Console.ReadLine();

        //write some random data to the stream
        byte[] data = new byte[2048];
        new Random().NextBytes(data);
        tempStream.Write(data, 0, data.Length);
        tempStream.Flush();
        
        Console.Out.WriteLine("Data was written.");
        Console.Out.WriteLine("Press enter in order to dispose the temporary stream. This will deletet the temp file.");
        Console.ReadLine();
        tempStream.Dispose();
      }

      Console.Out.WriteLine("The temporary file has been deleted. Press enter to delete the test directory and exit.");
      Console.ReadLine();

      Directory.Delete(rootFolder);

    }
  }
}
