﻿using System.IO;
using Hardcodet.TempStorage;

namespace SilverlightApplication1
{
  /// <summary>
  /// Factory that creates temporary streams in the Silverlight
  /// sample.
  /// </summary>
  public class TempStreamFactory : ITempStreamFactory
  {
    /// <summary>
    /// Gets a <see cref="Stream"/> that automatically cleans up
    /// after itself.
    /// </summary>
    /// <returns>A stream that allows to write and read temporary
    /// data.</returns>
    public Stream CreateTempStream()
    {
      return new IsolatedStorageTempStream();
    }
  }
}
